The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of PHP 5: format string vulnerability in the exception handling of mysqli

Synthesis of the vulnerability 

The use of exceptions in error reporting of mysqli without control on format string permits an attacker to run code on the machine using mysqli.
Vulnerable systems: MySQL Community, MySQL Enterprise, PHP.
Severity of this threat: 1/4.
Creation date: 12/01/2006.
Références of this weakness: BID-16219, CVE-2006-0200, VIGILANCE-VUL-5516.

Description of the vulnerability 

PHP 5 proposes a new extension to manage conection between PHP and MySQL server.

This extension integrates an new error reporting system using PHP exceptions.
PHP 5 do not carry verification on format string sent by the MySQL server when an error is reported. By default, the "reporting" mode is not activated for MySQL. If that's the case, it possible to use this vulnerability by sending a particular MySQL query.

An attacker can thus run code on the server using PHP if the MySQL server is not properly configured, or if he has an access to the machine to run a MySQL query using a malicious server.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This weakness impacts software or systems such as MySQL Community, MySQL Enterprise, PHP.

Our Vigil@nce team determined that the severity of this vulnerability announce is low.

The trust level is of type confirmed by the editor, with an origin of user account.

An attacker with a expert ability can exploit this threat bulletin.

Solutions for this threat 

MySQL: new MySQL Connector/PHP packages.
New packages are available:
  http://dev.mysql.com/downloads/connector/php/

PHP: version 5.1.2.
Version is corrected: PHP 5.1.2
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides a software vulnerabilities patch. The Vigil@nce computer vulnerability tracking service alerts your teams of vulnerabilities or threats impacting your information system.